## class SG_EXPORT osg::AnimationPathCallback

## Inheritance:

### Public Fields

ref_ptr<AnimationPath> _animationPath
double _timeOffset
double _timeMultiplier
double _firstTime
mutable double _animationTime

### Public Methods

AnimationPathCallback()
AnimationPathCallback(const AnimationPathCallback& apc, const CopyOp& copyop)
META_Object(osg, AnimationPathCallback)
AnimationPathCallback(AnimationPath* ap, double timeOffset=0.0f, double timeMultiplier=1.0f)
void setAnimationPath(AnimationPath* path)
AnimationPath* getAnimationPath()
const AnimationPath* getAnimationPath() const
virtual void operator()(Node* node, NodeVisitor* nv)
  implements the callback

### Protected Methods

~AnimationPathCallback()

### Inherited from NodeCallback:

### Public Fields

ref_ptr<NodeCallback> _nestedCallback

### Public Methods

META_Object(osg, NodeCallback) ()(Node* node, NodeVisitor* nv)
void traverse(Node* node, NodeVisitor* nv)
void setNestedCallback(NodeCallback* nc)
NodeCallback* getNestedCallback()
inline void addNestedCallback(NodeCallback* nc)
inline void removeNestedCallback(NodeCallback* nc)

### Inherited from Object:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object*) const
virtual const char* libraryName() const
virtual const char* className() const
inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`AnimationPathCallback()`

`AnimationPathCallback(const AnimationPathCallback& apc, const CopyOp& copyop)`

`META_Object(osg, AnimationPathCallback)`

`AnimationPathCallback(AnimationPath* ap, double timeOffset=0.0f, double timeMultiplier=1.0f)`

`void setAnimationPath(AnimationPath* path)`

`AnimationPath* getAnimationPath()`

`const AnimationPath* getAnimationPath() const`

`virtual void operator()(Node* node, NodeVisitor* nv)`
  implements the callback

`ref_ptr<AnimationPath> _animationPath`

`double _timeOffset`

`double _timeMultiplier`

`double _firstTime`

`mutable double _animationTime`

`~AnimationPathCallback()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.